GNU Radio 2.x: gr_oscope_sink_x Class Reference

Main Page | Modules | Namespace List | Class Hierarchy | Class List | File List | Class Members | File Members

# gr_oscope_sink_x Class Reference
[Signal Sinks]

`#include <gr_oscope_sink_x.h>`

Inheritance diagram for gr_oscope_sink_x:

[legend]
Collaboration diagram for gr_oscope_sink_x:

[legend]
List of all members.

## Detailed Description

Abstract class for python oscilloscope module.

Don't instantiate this. Use gr_oscope_sink_f or gr_oscope_sink_c instead.

## Public Member Functions
| ~gr_oscope_sink_x ()
bool | set_update_rate (double update_rate)
bool | set_decimation_count (int decimation_count)
bool | set_trigger_channel (int channel)
bool | set_trigger_mode (gr_trigger_mode mode)
bool | set_trigger_level (double trigger_level)
bool | set_trigger_level_auto ()
int | num_channels () const
double | sampling_rate () const
double | update_rate () const
int | get_decimation_count () const
int | get_trigger_channel () const
gr_trigger_mode | get_trigger_mode () const
double | get_trigger_level () const
int | get_samples_per_output_record () const
## Protected Member Functions
| gr_oscope_sink_x (const std::string name, gr_io_signature_sptr input_sig, double sampling_rate)
## Protected Attributes
double | d_sampling_rate
gr_oscope_guts * | d_guts

## Constructor & Destructor Documentation

gr_oscope_sink_x::gr_oscope_sink_x | ( | const std::string | name,
|  | gr_io_signature_sptr | input_sig,
|  | double | sampling_rate
| ) | `[protected]`

gr_oscope_sink_x::~gr_oscope_sink_x | ( |  | ) |

## Member Function Documentation

int gr_oscope_sink_x::get_decimation_count | ( |  | ) | const

int gr_oscope_sink_x::get_samples_per_output_record | ( |  | ) | const

int gr_oscope_sink_x::get_trigger_channel | ( |  | ) | const

double gr_oscope_sink_x::get_trigger_level | ( |  | ) | const

gr_trigger_mode gr_oscope_sink_x::get_trigger_mode | ( |  | ) | const

int gr_oscope_sink_x::num_channels | ( |  | ) | const

double gr_oscope_sink_x::sampling_rate | ( |  | ) | const

bool gr_oscope_sink_x::set_decimation_count | ( | int | decimation_count | ) |

bool gr_oscope_sink_x::set_trigger_channel | ( | int | channel | ) |

bool gr_oscope_sink_x::set_trigger_level | ( | double | trigger_level | ) |

bool gr_oscope_sink_x::set_trigger_level_auto | ( |  | ) |

bool gr_oscope_sink_x::set_trigger_mode | ( | gr_trigger_mode | mode | ) |

bool gr_oscope_sink_x::set_update_rate | ( | double | update_rate | ) |

double gr_oscope_sink_x::update_rate | ( |  | ) | const

## Member Data Documentation

gr_oscope_guts* gr_oscope_sink_x::d_guts`[protected]`

double gr_oscope_sink_x::d_sampling_rate`[protected]`

The documentation for this class was generated from the following files:

- gr_oscope_sink_x.h
- gr_oscope_sink_x.cc